summaryrefslogtreecommitdiff
path: root/init_scripts/artifact_server
diff options
context:
space:
mode:
Diffstat (limited to 'init_scripts/artifact_server')
-rwxr-xr-xinit_scripts/artifact_server42
1 files changed, 42 insertions, 0 deletions
diff --git a/init_scripts/artifact_server b/init_scripts/artifact_server
new file mode 100755
index 0000000..cfe2630
--- /dev/null
+++ b/init_scripts/artifact_server
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# description: a server for the artifact cache
+# chkconfig: 2345 90 10
+
+# Make init function library available
+. /etc/init.d/functions
+
+# FIXME The kbas dir should be updated to some `/home/ciat` type loction
+# mess up the use of ybd for building which gets replaced all the time
+kbas_dir=/home/patrickdarley/ybd
+logfile="$kbas_dir"/kbas.log
+
+# Start the service
+start() {
+ echo "Starting kbas artifact server"
+ sudo "$kbas_dir"/kbas.py > "$logfile" &
+}
+# Stop the service
+stop() {
+ echo "Stopping kbas"
+ # FIXME, Err, this is probably not the best way to do this
+ sudo kill -9 `ps aux|awk '/[k]bas.py/ {print $2}'`
+}
+
+### Main logic ###
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload|condrestart)
+ stop
+ start
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|reload|status}"
+ exit 1
+esac
+exit 0